/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct ConfigSqlSettings {
    #[serde(rename = "DriverName", skip_serializing_if = "Option::is_none")]
    pub driver_name: Option<String>,
    #[serde(rename = "DataSource", skip_serializing_if = "Option::is_none")]
    pub data_source: Option<String>,
    #[serde(rename = "DataSourceReplicas", skip_serializing_if = "Option::is_none")]
    pub data_source_replicas: Option<Vec<String>>,
    #[serde(rename = "MaxIdleConns", skip_serializing_if = "Option::is_none")]
    pub max_idle_conns: Option<i32>,
    #[serde(rename = "MaxOpenConns", skip_serializing_if = "Option::is_none")]
    pub max_open_conns: Option<i32>,
    #[serde(rename = "Trace", skip_serializing_if = "Option::is_none")]
    pub trace: Option<bool>,
    #[serde(rename = "AtRestEncryptKey", skip_serializing_if = "Option::is_none")]
    pub at_rest_encrypt_key: Option<String>,
}

impl ConfigSqlSettings {
    pub fn new() -> ConfigSqlSettings {
        ConfigSqlSettings {
            driver_name: None,
            data_source: None,
            data_source_replicas: None,
            max_idle_conns: None,
            max_open_conns: None,
            trace: None,
            at_rest_encrypt_key: None,
        }
    }
}
